# symbol.c File Reference

## Functions

MSymbol | msymbol (const char *name)
| Get a symbol.
MSymbol | msymbol_as_managing_key (const char *name)
| Create a managing key.
int | msymbol_is_managing_key (MSymbol symbol)
| Check if a symbol is a managing key.
MSymbol | msymbol_exist (const char *name)
| Search for a symbol that has a specified name.
char * | msymbol_name (MSymbol symbol)
| Get symbol name.
int | msymbol_put (MSymbol symbol, MSymbol key, void *val)
| Set the value of a symbol property.
void * | msymbol_get (MSymbol symbol, MSymbol key)
| Get the value of a symbol property.
int | msymbol_put_func (MSymbol symbol, MSymbol key, M17NFunc func)
| Set the value (function pointer) of a symbol property.
M17NFunc | msymbol_get_func (MSymbol symbol, MSymbol key)
| Get the value (function pointer) of a symbol property.
MSymbol | mdebug_dump_symbol (MSymbol symbol, int indent)
| Dump a symbol.
MSymbol | mdebug_dump_all_symbols (int indent)
| Dump all symbol names.

## Variables

MSymbol | Mnil
| Symbol whose name is "nil".
MSymbol | Mt
| Symbol whose name is "t".
MSymbol | Mstring
| Symbol whose name is "string".
MSymbol | Msymbol
| Symbol whose name is "symbol".

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines